SBT 0.10 + FSC

Hello,

I have a project build with SBT 0.10 and I'm having some trouble starting FSC.
SBT uses Scala 2.8.1 internally (so that's the scala ver for the "project" module), but my project uses 2.9.0-1.

I created a compilation server configuration, but when it starts up, the classpath has the wrong Scala version:

-classpath (...)/project/boot/scala-2.8.1/lib/scala-library.jar:(...)

How can I change the classpath for the compilation server?

Adam

4 comments
Comment actions Permalink

Problem is that compilation server run configuration took random module to take classpath. That is fixed now (from build 0.4.1172). Same fix was added for console run configuration.

Best regards,
Alexander Podkhalyuzin.

0
Comment actions Permalink

Great, thanks! :)

Will that be available through the plugins updater in Idea soon or is there a way to install a snapshot version of a plugin?

Adam

0
Comment actions Permalink

I hope that will be available today through the plugins updater. If not you can try to get this fix with tomorrow nightly snapshot (http://confluence.jetbrains.net/display/SCA/Scala+Plugin+Nightly+Builds+for+IDEA+X#)

Best regards,
Alexander Podkhalyuzin.

0
Comment actions Permalink

You may check Real FSC support blog post.

0

Please sign in to leave a comment.